## Fail

### Description

Exits the current build (just throwing a BuildException), optionally printing additional information.

### Parameters

Attribute | Description | Required
message | A message giving further information on why the build exited | No

### Examples

      <fail/>

will exit the current build with no further information given.

    BUILD FAILED

    build.xml:4: No message

      <fail message="Something wrong here."/>

will exit the current build and print something like the following to wherever your output goes:

    BUILD FAILED

    build.xml:4: Something wrong here.

Copyright © 2000,2001 Apache Software Foundation. All rights Reserved.